Bug 1248031 - python-docker-py: harden request URL construction
python-docker-py: harden request URL construction
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-docker-py (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Tomecek
atomic-bugs@redhat.com
:
Depends On:
Blocks: 1234952
  Show dependency treegraph
 
Reported: 2015-07-29 09:15 EDT by Florian Weimer
Modified: 2016-04-13 05:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-docker-py-1.7.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 05:12:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2015-07-29 09:15:00 EDT
The Client class performs a lot URL construction like this:

        res = self._get(self._url("/exec/{0}/json".format(exec_id)))

This can be used to manipulate the query string if exec_id contains characters like '?' and '/', which can lead to vulnerabilities elsewhere.  The client code should be fixed to reject such invalid parameters.
Comment 2 Florian Weimer 2015-07-29 09:17:09 EDT
Upstream issue: https://github.com/docker/docker-py/issues/697
Comment 3 Tomas Tomecek 2016-01-08 12:38:28 EST
Fixed upstream:

https://github.com/docker/docker-py/pull/752
Comment 4 Tomas Tomecek 2016-04-13 05:12:25 EDT
Fix for this should already be available in python-docker-py-1.7.2-1.el7

Note You need to log in before you can comment on or make changes to this bug.